/*
database user management

__copyright__	= "© Reiner Lemoine Institut"
__license__	= "GNU Affero General Public License Version 3 (AGPL-3.0)"
__author__	= "Ludwig Huelk"
*/

-- Groups
DROP ROLE IF EXISTS role_read; CREATE ROLE role_read WITH NOLOGIN NOSUPERUSER NOCREATEDB NOCREATEROLE INHERIT NOREPLICATION; -- Read only
DROP ROLE IF EXISTS role_user; CREATE ROLE role_user WITH NOLOGIN NOSUPERUSER NOCREATEDB NOCREATEROLE INHERIT NOREPLICATION; GRANT role_read TO role_user; -- Insert, Update, Delete and Read
DROP ROLE IF EXISTS role_admin; CREATE ROLE role_admin WITH NOLOGIN SUPERUSER NOCREATEDB CREATEROLE REPLICATION; GRANT role_user TO role_admin; -- Admin, can create user and databases

-- Read
DROP USER IF EXISTS qgis_read; CREATE USER qgis_read LOGIN PASSWORD 'qgis' NOSUPERUSER INHERIT NOCREATEDB CREATEROLE REPLICATION; GRANT role_read TO qgis_read; -- 2017-04-17 LH

-- User
DROP USER IF EXISTS qgis; CREATE USER qgis LOGIN PASSWORD 'qgis' NOSUPERUSER INHERIT NOCREATEDB CREATEROLE REPLICATION; GRANT role_user TO qgis; -- 2017-04-17 LH

-- Admin
GRANT role_admin TO qgis; -- 2017-04-17 LH
